<?php

//To check the method used to submit the form
if(!$_POST) exit;

// To check if a email is valid

function isName($sname)
{
   return(preg_match("/^[a-z A-Z]*$/", $sname));
}

//Get the data that was submitted
$sname = $_POST['sname'];
$email = $_POST['email'];
$phone = $_POST['phone'];
$alt_phone = $_POST['alt_phone'];
$course = $_POST['course'];
$courseid = $_POST['courseid'];
$department = $_POST['department'];
$intake = $_POST['intake'];
$duration = $_POST['duration'];
$exambody = $_POST['exambody'];
$requirement= $_POST['requirement'];
$level = $_POST['level'];
$index_no = $_POST['index_no'];
$completion_year= $_POST['completion_year'];
$points= $_POST['points'];
$birth_id_no = $_POST['birth_id_no'];
$sponsorship = $_POST['sponsorship'];
$gender = $_POST['gender'];

//Sanitize data
function clean($data)
{
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}

//Sanitize the data that was submitted
$sname = clean($sname);
$sname = strtolower($sname);
$sname = ucwords($sname);
$birth_id_no = clean($birth_id_no);
$phone = clean($phone);
$phone = str_replace("+254","0",$phone);
$courseid = clean($courseid);
// $course = clean($course);
$index_no = clean($index_no);
$completion_year = clean($completion_year);
$email = clean($email);
$department= clean($department);
$intake = clean($intake);
$duration = clean($duration);
$exambody = clean($exambody);
$requirement = clean($requirement);
$level  = clean($level);
$points = clean($points);
$alt_phone = clean($alt_phone);
$sponsorship = clean($sponsorship);
$gender = clean($gender);


// $acode = mt_rand(1000,9999);
date_default_timezone_set("Africa/Nairobi");
$timestamp = date('Y-m-d H:i:s');

include 'connect.php';

if (isset($_POST['submit'])) {
    # Check if course has been applied before...
    $dup = "SELECT id FROM applications WHERE birth_id_no = '$birth_id_no' AND course_id = '$courseid'";
    $dup = mysqli_query($con,$dup);

    if (mysqli_num_rows($dup)>0) {
        # code...
        echo "<h2 style='color:red;text-align:center;margin-top:20%;font-family:Century Gothic'>You have already applied for this course. Please check your course status.  </h2>";
        echo "<script>
            setTimeout(function() {
               window.location = '../status.php';
            },2000);
         </script>";
    } else {
        # code...
      $sql= "INSERT INTO applications(full_names,birth_id_no,phone,alt_phone,email,e_level,index_no,completion_year,grades,course_id,course_name,department,intake,duration,exam_body,entry_requirment,status,sponsorship,app_date,gender)VALUES ('$sname','$birth_id_no','$phone','$alt_phone','$email','$level','$index_no','$completion_year','$points','$courseid','$course','$department','$intake','$duration','$exambody','$requirement','Pending','$sponsorship','$timestamp','$gender')";
        $sql = mysqli_query($con,$sql);
        if ($sql) {
            # code...
            
        #Assign reference code
        // $last_id = mysqli_insert_id($con);
        // if ($last_id<10) {
        //      // code...
        //     $last_id = '000'.$last_id;
        //  } elseif ($last_id<100) {
        //      // code...
        //     $last_id = '00'.$last_id;
        //  } elseif ($last_id<1000) {
        //      // code...
        //     $last_id = '0'.$last_id;
        //  }

        // $year = date('Y');

        #Set message and ref depending on the sponsorship   
        // if ($sponsorship == 'SSP') {
        //     // code...
        //     $refno = 'KTVC/APP/SSP'.'/'.$year.'/'.$last_id; 
        //     $txt = 'Dear '.$sname .', you have applied for a course in '.$course.' at KTVC Iten. We are pleased to have you join us. You will be notified when your application has been approved.\nYou may check your application status on the link www.kipsoentvc.ac.ke/join/status.php and use '.$refno.' as your reference number.\n\nFor any help, contact 0797868786 or 0739868786';
        // } else {
        //     // code...
        //     $refno = 'KTVC/APP/GSP'.'/'.$year.'/'.$last_id;
        //     $txt = 'Dear '.$sname .', your KUCCPS application for the '.$course.' course at KTVC Iten was successfully approved. Congratulations!\n\nGet your letter of offer using the link www.kipsoentvc.ac.ke/offer_letter.php and use '.$refno.' as your reference number.\n\nFor any help, contact 0797868786 or 0739868786'; 
        // }

        $txt = "Hello there";

       
         $baseUrl="http://bulksms.mobitechtechnologies.com/api/sendsms";        
          $ch = curl_init($baseUrl);
          $data= array('api_key' =>'5f87e9a697121' ,
          'username' =>'solutant' ,
          'sender_id' =>'UNICOMM' ,
          'message' =>$txt ,
          'phone' =>$phone);
          $payload = json_encode($data);
          curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
          curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json','Accept:application/json'));
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
          $result = curl_exec($ch);      
          curl_close($ch);  

          
        #Send automatic message with new API
          $curl = curl_init();
          curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://api.mobitechtechnologies.com/sms/sendsms',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 15,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'POST',            
            CURLOPT_POSTFIELDS =>'{
              "mobile": "'.$alt_phone.'",
              "response_type": "json",
              "sender_name": "23107",
              "service_id": 0,
              "message": "'.$txt.'"
          }',
            CURLOPT_HTTPHEADER => array(
              'h_api_key: e638b9f7eb70d7af18ad2e03d5e3180e3d2714f2fd9d2a218c8df6c61ce4ee02',
              'Content-Type: application/json'
            ),
          ));

          $response = curl_exec($curl);

          curl_close($curl);


          echo "<h1 style='color:green;text-align:center;margin-top:20%;font-family:Century Gothic'>Your course application was successful</h1>";
            echo "<script>
                    setTimeout(function() {
                       window.location = 'https://www.kipsoentvc.ac.ke/course-list.php';
                    },1500);
                 </script>";
                      
        } else {
            echo "Database error ".mysqli_error($con);
            echo "<script>
                    setTimeout(function() {
                       window.location = '../';
                    },1500);
                 </script>";  
        }

        
    }
    

    return mysqli_close($con);
    

} else {
    # If post fails...
    echo "Submission error occured";
}


?>




